import pandas

# создаём усовершенствованную таблицу
def addData(df: pandas.DataFrame):

    # ищем 10% от кол-ва строк (-1 из-за строки заголовков)
    additionForTable = int(len(df) / 10) - 1

    # добавили 10% значений
    for i in range(additionForTable):
        df.loc[len(df.index)] = [df['Store_ID'].max().round(2) + 1, df['Store_Area'].mean().round(2), df['Items_Available'].mean().round(2),
                                 df['Daily_Customer_Count'].mean().round(2), df['Store_Sales'].mean().round(2)]

    return df