import os
import pandas as pd
import matplotlib
matplotlib.use('Agg')
import matplotlib.pyplot as plt

def createGraphics(df: list[pd.DataFrame], nameFile):
    # для сохранения диаграммы в конкретной папке
    script_dir = os.path.dirname(__file__)
    results_dir = os.path.join(script_dir, '../static/')

    if not os.path.isdir(results_dir):
        os.makedirs(results_dir)

    for i in range(len(df)):
        dataFrame = df[i]
        dataFrame.plot.bar()
        plt.xlabel('Здесь чё-то')
        plt.ylabel('Тоже чё-то')
        plt.title('Диаграмма про чё-то')
        plt.savefig(results_dir + nameFile + str(i) + '.jpg')
        plt.close()

    return True